Product comparison · 2 modems

TP-Link ADSL2+ Modem Router vs Zyxel BRG-35503 modem

Add a product
  • 7specifications compared
  • 4differ
  • 3identical
  • 16known for one product only

Key differences

The Zyxel BRG-35503 modem has 22 mm more depth than the TP-Link ADSL2+ Modem Router (130 mm vs 108 mm). The Zyxel BRG-35503 modem has 16 mm more height than the TP-Link ADSL2+ Modem Router (44 mm vs 28 mm). The Zyxel BRG-35503 modem has 15 mm more width than the TP-Link ADSL2+ Modem Router (180 mm vs 165 mm). Storage temperature (T-T): -40 - 70 °C on the TP-Link ADSL2+ Modem Router, -40 - 60 °C on the Zyxel BRG-35503 modem.

  • Storage temperature (T-T)
    • ADSL2+ Modem Router:-40 - 70 °C
    • BRG-35503 modem:-40 - 60 °C
  • Depth
    • ADSL2+ Modem Router:108 mm
    • BRG-35503 modem:130 mm
  • Height
    • ADSL2+ Modem Router:28 mm
    • BRG-35503 modem:44 mm
  • Width
    • ADSL2+ Modem Router:165 mm
    • BRG-35503 modem:180 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of ADSL2+ Modem Router, BRG-35503
23 specifications
B

Zyxel

BRG-35503 modem

Model BRG-35503

View product
Performanceidentical
Upstream data rateKnown for one3.5 Mbit/sUnknown — not stated by the source
Downstream data rateKnown for one24 Mbit/sUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
Networking featuresKnown for oneFast EthernetUnknown — not stated by the source
Supported protocolsKnown for oneATM Forum UNI3.1/4.0 PVC - Up to 8 PVCs PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225)Unknown — not stated by the source
Supported data transfer ratesKnown for oneUnknown — not stated by the source120
ModulationKnown for oneUnknown — not stated by the source128-QAM, 16-QAM, 32-QAM, 64-QAM, 8-QAM, QPSK
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.3, IEEE 802.3u
Featuresidentical
Connectivity LEDsKnown for oneYesUnknown — not stated by the source
InternalKnown for oneUnknown — not stated by the sourceNo
LED indicatorsKnown for oneUnknown — not stated by the sourceLAN, Link, Power, Status
Ports & interfacesidentical
DC-in jackKnown for oneYesUnknown — not stated by the source
Ethernet LAN (RJ-45) ports11
Modem (RJ-11) portsKnown for one1Unknown — not stated by the source
Poweridentical
Power supply typeKnown for one9VDC/0.6A PSUUnknown — not stated by the source
Certificatesidentical
Compliance industry standardsKnown for oneIEEE 802.3, IEEE802.3uUnknown — not stated by the source
Operational conditions1 differ
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Operating relative humidity (H-H)10 - 90%10 - 90%
Storage temperature (T-T)Differs-40 - 70 °C-40 - 60 °C
Weight & dimensions3 differ
DepthDiffers108 mm130 mm
HeightDiffers28 mm44 mm
WidthDiffers165 mm180 mm
WeightKnown for oneUnknown — not stated by the source220 g

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More modem comparisons

All modem comparisons